summaryrefslogtreecommitdiffstats
path: root/app-mobilephone/gsmlib/gsmlib-1.11_pre041028.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'app-mobilephone/gsmlib/gsmlib-1.11_pre041028.ebuild')
-rw-r--r--app-mobilephone/gsmlib/gsmlib-1.11_pre041028.ebuild31
1 files changed, 31 insertions, 0 deletions
diff --git a/app-mobilephone/gsmlib/gsmlib-1.11_pre041028.ebuild b/app-mobilephone/gsmlib/gsmlib-1.11_pre041028.ebuild
new file mode 100644
index 00000000..2b9a496e
--- /dev/null
+++ b/app-mobilephone/gsmlib/gsmlib-1.11_pre041028.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit eutils
+
+DESCRIPTION="Library and applications to access GSM mobile phones"
+SRC_URI="http://www.pxh.de/fs/gsmlib/snapshots/${PN}-pre${PV%_pre*}-${PV#*_pre}.tar.gz"
+HOMEPAGE="http://www.pxh.de/fs/gsmlib/"
+
+IUSE=""
+SLOT="0"
+LICENSE="LGPL-2"
+KEYWORDS="amd64 ~ia64 ppc ppc64 sparc x86"
+
+RESTRICT="test"
+
+S="${WORKDIR}/${PN}-${PV%_pre*}"
+
+src_unpack() {
+ unpack ${A}
+
+ epatch "${FILESDIR}/${P%_pre*}-include-gcc34-fix.patch"
+ epatch "${FILESDIR}/${P%_pre*}-gcc41.patch"
+ epatch "${FILESDIR}"/${P%_pre*}-gcc43.patch
+}
+
+src_install () {
+ emake DESTDIR="${D}" install || die "make install failed"
+ dodoc README
+}